diff --git a/shared/js/html5Widgets.js b/shared/js/html5Widgets.js
index 4d6db88..6e27725 100644
--- a/shared/js/html5Widgets.js
+++ b/shared/js/html5Widgets.js
@@ -90,13 +90,15 @@ var html5Widgets = new function(){
 	
 	function setPlaceholders() {
 		
-		var nodes = document.getElementsByTagName('input')
+		var nodes = [document.getElementsByTagName('input'), document.getElementsByTagName('textarea')];
 		
 		for (var i=0; i<nodes.length; i++) {
-			var node = nodes[i];
-			
-			if (DOMHelpers.getAttributeValue(node, 'placeholder')) {
-				me.placeholderNodes.push(new PlaceholderInput(node));
+			for (var j=0; j<nodes[i].length; j++) {
+				var node = nodes[i][j];
+				
+				if (DOMHelpers.getAttributeValue(node, 'placeholder')) {
+					me.placeholderNodes.push(new PlaceholderInput(node));
+				}
 			}
 		}
 	}
diff --git a/tests/html5Widgets/placeholder.html b/tests/html5Widgets/placeholder.html
index ca23bb5..bcb10ba 100644
--- a/tests/html5Widgets/placeholder.html
+++ b/tests/html5Widgets/placeholder.html
@@ -62,6 +62,14 @@
 					</td>
 				</tr>
 				
+				<tr>
+					<th>Notes :</th>
+					<td><textarea name="notes" placeholder="Please enter in some information to help us"></textarea>
+					<div class="description">If you are unemployed, please leave 
+					blank.</div>
+					</td>
+				</tr>
+				
 				<tr>
 					<th>Postal/Zip Code</th>
 					<td><input type="text" name="postalCode" value="" placeholder="Required information" required="required" 
